“Obsoleting Packages”の意味は?

投稿者: user10259

yum check-updateでパッケージの更新をチェックしていたのですが下記が表示されました。

Obsoleting Packages訳名称パッケージを不要にしています

上記の意味合いについて教えてほしいです。
・インストールされているパッケージがどこにも使用されていない
・インストールされているパッケージがアップデート(インストール)リストにない
・このパッケージを使用するべきではない警告

また、この表示にあるパッケージはアップデートがあり、
アップデートが可能ということなのでしょうか?

直訳すると「時代遅れなパッケージ」ということですが、
翻訳されている名称を見て余計に混乱しています。

もし不要、もしくは使うべきでないのであれば削除するべきでしょうか?
既に運用しているサーバーなので出来るだけアップデート以外したくないのですが、
そのまま放置、またはアップデートしても問題ないのでしょうか?

以上、よろしくお願いいたします。

解決

(1) 廃止されるパッケージのことで他のパッケージが代わりになります。

例えば foo パッケージが bar に変更された場合、foo の更新パッケージは bar になり foo は廃止されるパッケージになります。

(2) この他に、依存パッケージが変更になった場合も Obsoltes Package に表示されます。

たとえば、foo パッケージが依存している hoge が 新バージョンでは不要になった場合、foo の Obsoletes に hoge が表示されます。

どちらの場合も yum upgrade を実行すると廃止されるパッケージは削除されます。

回答者: Anonymous

Leave a Reply

Your email address will not be published. Required fields are marked *